Name:           perl-MooseX-Types-Structured
Version:        0.26
Release:        3%{?dist}
Summary:        Structured Type Constraints for Moose
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/MooseX-Types-Structured/
Source0:        http://www.cpan.org/authors/id/J/JJ/JJNAPIORK/MooseX-Types-Structured-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(DateTime)
BuildRequires:  perl(Devel::PartialDump) >= 0.13
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Moose) >= 1.08
BuildRequires:  perl(Moose::Meta::TypeCoercion)
BuildRequires:  perl(Moose::Meta::TypeConstraint)
BuildRequires:  perl(Moose::Meta::TypeConstraint::Parameterizable)
BuildRequires:  perl(Moose::Util::TypeConstraints) >= 1.06
BuildRequires:  perl(MooseX::Types) >= 0.22
BuildRequires:  perl(MooseX::Types::DateTime)
BuildRequires:  perl(MooseX::Types::Moose)
BuildRequires:  perl(Sub::Exporter) >= 0.982
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.94
Requires:       perl(Moose) >= 1.08
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
# hidden from PAUSE, but need to be available
Provides:       perl(MooseX::Meta::TypeCoercion::Structured) = %{version}
Provides:       perl(MooseX::Meta::TypeCoercion::Structured::Optional) = %{version}
Provides:       perl(MooseX::Meta::TypeConstraint::Structured) = %{version}
Provides:       perl(MooseX::Meta::TypeConstraint::Structured::Optional) = %{version}
Provides:       perl(MooseX::Types::Structured::MessageStack) = %{version}
Provides:       perl(MooseX::Types::Structured::OverflowHandler) = %{version}


%{?perl_default_filter}

%description
A structured type constraint is a standard container Moose type constraint,
such as an ArrayRef or HashRef, which has been enhanced to allow you to
explicitly name all the allowed type constraints inside the structure.

%prep
%setup -q -n MooseX-Types-Structured-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.26-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 16 2011 Iain Arnell <iarnell@gmail.com> 0.26-2
- additional provides for packages hidden from PAUSE

* Sun Jan 16 2011 Iain Arnell <iarnell@gmail.com> 0.26-1
- update to latest upstream version

* Mon Jan 03 2011 Iain Arnell <iarnell@gmail.com> 0.25-1
- update to latest upstream version

* Sat Nov 20 2010 Iain Arnell <iarnell@gmail.com> 0.24-1
- update to latest upstream version

* Sat Jul 17 2010 Iain Arnell <iarnell@gmail.com> 0.23-2
- cleanup spec for modern rpmbuild
- remove unnecessary explicit requires
- provides MooseX::Meta::TypeCoercion::Structured and
  MooseX::Meta::TypeConstraint::Structured

* Sat Jul 03 2010 Iain Arnell <iarnell@gmail.com> 0.23-1
- Specfile autogenerated by cpanspec 1.78.
